# makefile.gnu
# This is the makefile for DJ Delories DOS port of GCC

CC=gcc

CP=copy
RM=del
MV=move

LKFLAGS=
CCFLAGS=-c -g -Wall

INCLUDES=ldir.h  proto.h  ext2.h  makefile.gnu

all:		main.o readdisk.o dir.o super.o inode.o group.o makefile.gnu
			$(CC) $(LKFLAGS) -o ldir.o main.o readdisk.o dir.o super.o inode.o group.o
			strip ldir.o
			$(MV) ldir.exe ..
			$(CP) ..\ldir.exe  ..\lread.exe
			$(CP) ..\lread.exe ..\lwrite.exe

ldir.o:		main.o readdisk.o dir.o super.o inode.o group.o

main.o:		$(INCLUDES) main.c
			$(CC) $(CCFLAGS) main.c

readdisk.o:	$(INCLUDES) readdisk.c
			$(CC) $(CCFLAGS) readdisk.c

dir.o: 		$(INCLUDES) dir.c
			$(CC) $(CCFLAGS) dir.c

super.o:	$(INCLUDES) super.c
			$(CC) $(CCFLAGS) super.c

inode.o:  	$(INCLUDES) inode.c
			$(CC) $(CCFLAGS) inode.c

group.o: 	$(INCLUDES) group.c
			$(CC) $(CCFLAGS) group.c

clean:
			$(RM) *.o
			$(RM) *.sym
			$(RM) *.bak

